> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Bid by ID



## OpenAPI

````yaml get /bids/{id}
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /bids/{id}:
    get:
      tags:
        - Bids
      summary: Retrieve a Bid by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '132'
                  rate:
                    type: string
                    example: '1500.00'
                  rate_ccy:
                    type: string
                    example: GBP
                  eliminated:
                    type: string
                    example: 'false'
                  proposal:
                    type: string
                    example: This is our proposal
                  awarded:
                    type: string
                    example: 'true'
                  total_score:
                    type: string
                    example: '0.656'
                  quality_score:
                    type: string
                    example: '0.656'
                  cost_score_auto:
                    type: string
                    example: '0.656'
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  status:
                    type: string
                    example: Submitted
                  version:
                    type: integer
                    example: '1'
                  managed_bid:
                    type: boolean
                    example: 'true'
                  submitted_at:
                    type: string
                    format: date-time
                  shortlisted_at:
                    type: string
                    format: date-time
                  selected_at:
                    type: string
                    format: date-time
                  custom_fields:
                    type: object
                    properties:
                      key:
                        type: string
                        example: value
                  job:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '77'
                      title:
                        type: string
                        example: Project title
                      description:
                        type: string
                        example: Project description
                  supplier:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '77'
                      name:
                        type: string
                        example: Company Inc
                      email:
                        type: string
                        example: jack_jones@companyinc.com
                      vetting_status:
                        type: string
                        example: PASSED
                      tax_number:
                        type: string
                        example: '9876543234'
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                  bid_milestones:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        title:
                          type: string
                          example: Title of Milestone
                        details:
                          type: string
                          example: Details of Milestone
                        due_on:
                          type: string
                          format: date-time
                        rate:
                          type: number
                          format: double
                          example: '1500.00'
                        rate_ccy:
                          type: string
                          example: GBP
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                  line_item_proposals:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        item_type:
                          type: string
                          example: service
                        name:
                          type: string
                          example: Item description
                        manufacturer_name:
                          type: string
                          example: Acme
                        duemanufacturer_part_number_on:
                          type: string
                          format: ABC-123
                        quantity:
                          type: string
                          example: '10.0'
                        price:
                          type: string
                          example: '30000.00'
                        price_ccy:
                          type: string
                          example: GBP
                        net_total_price:
                          type: string
                          example: '300000.00'
                        uom:
                          type: string
                          example: Each
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: value
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````